- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::FileReader Class Reference

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a file. More...

`#include <gfilestore.h>`

Inheritance diagram for GSmtp::FileReader:

## Public Member Functions
| FileReader ()
| Default constructor. More...
| ~FileReader ()
| Destructor. Switches identity back. More...

## Detailed Description

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a file.

See also
  G::Root

Definition at line 161 of file gfilestore.h.

## Constructor & Destructor Documentation

GSmtp::FileReader::FileReader | ( |  | ) |

Default constructor.

Switches identity for reading a file.

Definition at line 294 of file gfilestore.cpp.

GSmtp::FileReader::~FileReader | ( |  | ) |

Destructor. Switches identity back.

Definition at line 298 of file gfilestore.cpp.

The documentation for this class was generated from the following files:

- gfilestore.h
- gfilestore.cpp